#include<bits/stdc++.h>
using namespace std;
string str1, str2;
int n,k;
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> n >> k;
    cin >> str1;
    str2 = str1;
    sort(str1.begin(), str1.end());
    if(str1 == str2)
    {
        for(int i = 0; i<str1.size(); i++)
        {
            if(str1[i] == 'z')
                cout << "2 ";
            else
                cout << "1 ";
        }
    }
    cout << "\n";
    return 0;
}